clang-tools 8.0.0

Static Public Member Functions | List of all members
llvm::yaml::ScalarTraits< SmallString< U > > Struct Template Reference

## Static Public Member Functions
static void | output (const SmallString< U > &S, void *, llvm::raw_ostream &OS)
static StringRef | input (StringRef Scalar, void *, SmallString< U > &Value)
static QuotingType | mustQuote (StringRef)

## Detailed Description

### template<unsigned U>
struct llvm::yaml::ScalarTraits< SmallString< U > >

Definition at line 63 of file YAMLGenerator.cpp.

## Member Function Documentation

## ◆ input()

template<unsigned U>

static StringRef llvm::yaml::ScalarTraits< SmallString< U > >::input | ( | StringRef | Scalar,
|  | void * | ,
|  | SmallString< U > & | Value
| ) |  |
| inline static

Definition at line 70 of file YAMLGenerator.cpp.

## ◆ mustQuote()

template<unsigned U>

static QuotingType llvm::yaml::ScalarTraits< SmallString< U > >::mustQuote | ( | StringRef |  | ) |
| inline static

Definition at line 75 of file YAMLGenerator.cpp.

## ◆ output()

template<unsigned U>

static void llvm::yaml::ScalarTraits< SmallString< U > >::output | ( | const SmallString< U > & | S,
|  | void * | ,
|  | llvm::raw_ostream & | OS
| ) |  |
| inline static

Definition at line 65 of file YAMLGenerator.cpp.

The documentation for this struct was generated from the following file:

- YAMLGenerator.cpp